<?php
require("../class/connect.php");
require("../class/q_functions.php");
require("../data/dbcache/class.php");
require LoadLang("pub/fun.php");
require("../member/class/user.php");
require("../data/dbcache/MemberLevel.php");
$link=db_connect();
$empire=new mysqlquery();
$userid=0;
$username='';
$spacestyle='';
$search='';
require('CheckUser.php');//驗證用戶
//用戶
$search.="&userid=$userid";
$start=0;
$page=intval($_GET['page']);
$page=RepPIntvar($page);
$line=12;//每行顯示
$page_line=10;
$offset=$page*$line;
$totalquery="select count(*) as total from {$dbtbpre}enewsmembergbook where userid='$userid'";
$num=$empire->gettotal($totalquery);
$query="select gid,isprivate,uid,uname,ip,addtime,gbtext,retext from {$dbtbpre}enewsmembergbook where userid='$userid'";
$query.=" order by gid desc".do_dblimit($line,$offset);
$sql=$empire->query($query);
$returnpage=page1($num,$line,$page_line,$start,$page,$search);
include('template/'.$spacestyle.'/gbook.temp.php');
db_close();
$empire=null;
?>